simple-reflect-0.3.3: Simple reflection of expressions containing variables

Copyright | (c) 2008-2014 Twan van Laarhoven
License | BSD-style
Maintainer | twanvl@gmail.com
Stability | experimental
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell98

Debug.SimpleReflect.Vars

Contents

- Variables
- Functions
- Operators

Description

Single letter variable names.

All names have type `Expr`, except for `f`, `g` and `h`, which are generic functions. This means that `show (f x :: Expr) == "f x"`, but that `show (a x :: Expr)` gives a type error. On the other hand, the type of `g` in `show (f g)` is ambiguous.

Synopsis

- a :: Expr
- b :: Expr
- c :: Expr
- d :: Expr
- e :: Expr
- i :: Expr
- j :: Expr
- k :: Expr
- l :: Expr
- m :: Expr
- n :: Expr
- o :: Expr
- p :: Expr
- q :: Expr
- r :: Expr
- s :: Expr
- t :: Expr
- u :: Expr
- v :: Expr
- w :: Expr
- x :: Expr
- y :: Expr
- z :: Expr
- f :: FromExpr a => a
- f' :: FromExpr a => a
- f'' :: FromExpr a => a
- g :: FromExpr a => a
- h :: FromExpr a => a
- (⊗) :: Expr -> Expr -> Expr
- (⊕) :: Expr -> Expr -> Expr
- (@@) :: Expr -> Expr -> Expr

# Variables

a :: Expr Source #

b :: Expr Source #

c :: Expr Source #

d :: Expr Source #

e :: Expr Source #

i :: Expr Source #

j :: Expr Source #

k :: Expr Source #

l :: Expr Source #

m :: Expr Source #

n :: Expr Source #

o :: Expr Source #

p :: Expr Source #

q :: Expr Source #

r :: Expr Source #

s :: Expr Source #

t :: Expr Source #

u :: Expr Source #

v :: Expr Source #

w :: Expr Source #

x :: Expr Source #

y :: Expr Source #

z :: Expr Source #

# Functions

f :: FromExpr a => a Source #

f' :: FromExpr a => a Source #

f'' :: FromExpr a => a Source #

g :: FromExpr a => a Source #

h :: FromExpr a => a Source #

# Operators

(⊗) :: Expr -> Expr -> Expr infix 7 Source #

A non-associative infix 7 operator

(⊕) :: Expr -> Expr -> Expr infix 6 Source #

A non-associative infix 6 operator

(@@) :: Expr -> Expr -> Expr infix 9 Source #

A non-associative infix 9 operator